This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 222585 - Add check for execute bit on man pages
Add check for execute bit on man pages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-14 15:37 EST by Terje Rosten
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.79-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-02 11:06:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Rosten 2007-01-14 15:37:13 EST
Description of problem:

Some packages[1] ships man pages with execute bit set, rpmlint don't
detect this error:

$ rpm -ql ed | grep /usr/share/man  | xargs ls -dl 
-rwxr-xr-x 1 root root 7059 2006-11-13 13:44 /usr/share/man/man1/ed.1.gz
$ rpm -V ed
$ rpm -q rpmlint
rpmlint-0.78-2.fc6
$ rpmlint ed
W: ed summary-ended-with-dot The GNU line editor
E: ed zero-length /usr/share/doc/ed-0.3/TODO

Could a test for this be added to rpmlint?

[1]: I have created bugzillas for 11 pkgs.
Comment 1 Ville Skyttä 2007-01-17 15:51:38 EST
Sure, I'll look into it.
Comment 2 Ville Skyttä 2007-01-24 17:12:26 EST
Added upstream, will be in the next release:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1305
Comment 3 Ville Skyttä 2007-02-02 11:06:29 EST
Done in upcoming 0.79-1.

Note You need to log in before you can comment on or make changes to this bug.